Namespace UI
    Public Class StatusControlForm
        Inherits Form

#Region " Designer "

        Public Sub New()
            MyBase.New()
            InitializeComponent()
        End Sub

        Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
            If disposing Then
                If Not (components Is Nothing) Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub

        Friend WithEvents bClose As System.Windows.Forms.Button
        Public WithEvents StatusControl As Stax.UI.StatusControl
        Friend WithEvents SmartTagProvider As Stax.UI.Design.SmartTagProvider

        Private components As System.ComponentModel.IContainer

        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
            Me.bClose = New System.Windows.Forms.Button
            Me.StatusControl = New Stax.UI.StatusControl
            Me.SmartTagProvider = New Stax.UI.Design.SmartTagProvider
            Me.SuspendLayout()
            '
            'bClose
            '
            Me.bClose.Anchor = CType((System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
            Me.bClose.DialogResult = System.Windows.Forms.DialogResult.Cancel
            Me.bClose.Location = New System.Drawing.Point(330, 271)
            Me.bClose.Name = "bClose"
            Me.bClose.Size = New System.Drawing.Size(75, 24)
            Me.bClose.TabIndex = 1
            Me.bClose.Text = "Close"
            '
            'StatusControl
            '
            Me.StatusControl.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                        Or System.Windows.Forms.AnchorStyles.Left) _
                        Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
            Me.StatusControl.AutoScroll = True
            Me.StatusControl.BackColor = System.Drawing.Color.White
            Me.StatusControl.Location = New System.Drawing.Point(13, 13)
            Me.StatusControl.Name = "StatusControl"
            Me.StatusControl.Size = New System.Drawing.Size(392, 252)
            Me.StatusControl.TabIndex = 0
            '
            'StatusControlForm
            '
            Me.CancelButton = Me.bClose
            Me.ClientSize = New System.Drawing.Size(417, 307)
            Me.Controls.Add(Me.bClose)
            Me.Controls.Add(Me.StatusControl)
            Me.MaximizeBox = False
            Me.MinimizeBox = False
            Me.MinimumSize = New System.Drawing.Size(300, 250)
            Me.Name = "StatusControlForm"
            Me.ShowIcon = False
            Me.ShowInTaskbar = False
            Me.Text = "TemplateForm"
            Me.ResumeLayout(False)

        End Sub

#End Region

        Public Sub SetHeight()
            ClientSize = New Size(ClientSize.Width, ClientSize.Height - (StatusControl.Height - StatusControl.GetPanelHeight) + 5)
        End Sub
    End Class
End Namespace